Update agent visibility
curl --request PATCH \
--url https://neo.api.projectdiscovery.io/api/v1/agents/user/{agent_id}/visibility \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/agents/user/{agent_id}/visibility"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/agents/user/{agent_id}/visibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"has_dynamic_tools": true,
"has_memory": true,
"id": "<string>",
"name": "<string>",
"tools_count": 123,
"type": "user",
"config_hash": "<string>",
"config_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"custom_tools": [
{
"commandTemplate": "<string>",
"description": "<string>",
"id": "<string>",
"inputSchema": {},
"isExecutable": true,
"scriptContent": "<string>",
"scriptPath": "<string>",
"timeoutSeconds": 123
}
],
"custom_tools_count": 123,
"fork_count": 123,
"has_installation_requirements": true,
"install_commands": [
"<string>"
],
"native_tools": [
"<string>"
],
"original_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prereq_packages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"require_env_vars": [
"<string>"
],
"system_context": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_commands": [
"<string>"
],
"when_to_use": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Agents
Update agent visibility
Update the visibility of a user agent
PATCH
/
api
/
v1
/
agents
/
user
/
{agent_id}
/
visibility
Update agent visibility
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Agent ID (kebab-case identifier)
Body
application/json
Available options:
public, private, unlisted Response
Visibility updated
Agent ID for user access (use with /agents/user/{agent_id})
Available options:
user Show child attributes
Show child attributes
Directory entry ID
Available options:
public, private, unlisted ⌘I

